//+------------------------------------------------------------------+
//|                                                 #Data-Window.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#property link      "Xard777" 
#property indicator_separate_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
 IndicatorShortName("EMA");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
  ObjectsDeleteAll(); 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
     
    double EMA_M1 = iMA(Symbol(),1,5,0,MODE_EMA,PRICE_CLOSE,0);
    double ema_m1 = iMA(Symbol(),1,9,0,MODE_EMA,PRICE_CLOSE,0);
    double EMA_M5 = iMA(Symbol(),5,5,0,MODE_EMA,PRICE_CLOSE,0);
    double ema_m5 = iMA(Symbol(),5,9,0,MODE_EMA,PRICE_CLOSE,0);
    double EMA_M15 = iMA(Symbol(),15,5,0,MODE_EMA,PRICE_CLOSE,0);
    double ema_m15 = iMA(Symbol(),15,9,0,MODE_EMA,PRICE_CLOSE,0);
    double EMA_M30 = iMA(Symbol(),30,5,0,MODE_EMA,PRICE_CLOSE,0);
    double ema_m30 = iMA(Symbol(),30,9,0,MODE_EMA,PRICE_CLOSE,0);
    double EMA_H1 = iMA(Symbol(),60,5,0,MODE_EMA,PRICE_CLOSE,0);
    double ema_h1 = iMA(Symbol(),60,9,0,MODE_EMA,PRICE_CLOSE,0);
    double EMA_H4 = iMA(Symbol(),240,5,0,MODE_EMA,PRICE_CLOSE,0);
    double ema_h4 = iMA(Symbol(),240,9,0,MODE_EMA,PRICE_CLOSE,0);
    double EMA_D1 = iMA(Symbol(),1440,5,0,MODE_EMA,PRICE_CLOSE,0);
    double ema_d1 = iMA(Symbol(),1440,9,0,MODE_EMA,PRICE_CLOSE,0);
    double EMA_W1 = iMA(Symbol(),10080,5,0,MODE_EMA,PRICE_CLOSE,0);
    double ema_w1 = iMA(Symbol(),10080,9,0,MODE_EMA,PRICE_CLOSE,0);
    
    double EMA_H4_5 = iMA(Symbol(),240,5,0,MODE_EMA,PRICE_CLOSE,0);
    double EMA_H4_9 = iMA(Symbol(),240,9,0,MODE_EMA,PRICE_CLOSE,0);
    double EMA_H4_18 = iMA(Symbol(),240,18,0,MODE_EMA,PRICE_CLOSE,0);
    
    string EMAH4_Lime= "", EMAH4_Red="", EMAH4_Blue="", EMAH4_Orange= "";
    
    if ((EMA_H4_5 > EMA_H4_18) && (EMA_H4_9 > EMA_H4_18)) {EMAH4_Lime = "3 EMA H4"; }
    if ((EMA_H4_5 > EMA_H4_9) && (EMA_H4_5 < EMA_H4_18)) {EMAH4_Blue = "3 EMA H4"; }
    if ((EMA_H4_5 < EMA_H4_9) && (EMA_H4_9 < EMA_H4_18)) {EMAH4_Red = "3 EMA H4"; }
    if ((EMA_H4_5 > EMA_H4_18) && (EMA_H4_9 < EMA_H4_18)) {EMAH4_Blue = "3 EMA H4"; }
    if ((EMA_H4_5 < EMA_H4_18) && (EMA_H4_9 > EMA_H4_18)) {EMAH4_Orange = "3 EMA H4"; }
    
    
    string M1_UP= "",M1_DN= "",M5_UP= "",M5_DN= "",M15_UP= "",M15_DN= "",
           M30_UP= "",M30_DN= "",H1_UP= "",H1_DN= "",H4_UP= "",H4_DN= "",
           D1_UP= "",D1_DN= "",W1_UP= "",W1_DN= "";
    
    if (EMA_M1 > ema_m1) {M1_UP = "M1"; }
    if (EMA_M1 <= ema_m1) {M1_DN = "M1"; }
    
    if (EMA_M5 > ema_m5) {M5_UP = "M5"; }
    if (EMA_M5 <= ema_m5) {M5_DN = "M5"; }
    
    if (EMA_M15 > ema_m15) {M15_UP = "M15"; }
    if (EMA_M15 <= ema_m15) {M15_DN = "M15"; }
    
    if (EMA_M30 > ema_m30) {M30_UP = "M30"; }
    if (EMA_M30 <= ema_m30) {M30_DN = "M30"; }
    
    if (EMA_H1 > ema_h1) {H1_UP = "H1"; }
    if (EMA_H1 <= ema_h1) {H1_DN = "H1"; }
    
    if (EMA_H4 > ema_h4) {H4_UP = "H4"; }
    if (EMA_H4 <= ema_h4) {H4_DN = "H4"; }
    
    if (EMA_D1 > ema_d1) {D1_UP = "D1"; }
    if (EMA_D1 <= ema_d1) {D1_DN = "D1"; }
    
    if (EMA_W1 > ema_w1) {W1_UP = "W1"; }
    if (EMA_W1 <= ema_w1) {W1_DN = "W1"; }
    
    /*drawLabelema1("EMAH41",EMAH4_Lime,15,Lime,5,25,"Arial Bold");
    drawLabelema2("EMAH42",EMAH4_Red,15,Red,5,25,"Arial Bold");
    drawLabelema3("EMAH43",EMAH4_Blue,15,Blue,5,25,"Arial Bold");
    drawLabelema4("EMAH44",EMAH4_Orange,15,Orange,5,25,"Arial Bold");*/
    
    
    
    ObjectCreate("EMA", OBJ_LABEL, WindowFind("EMA"), 0, 0);//M1 SIGNAL
        ObjectSetText("EMA",StringSubstr(M1_UP,0),15, "Arial Bold", Lime);
        ObjectSet("EMA", OBJPROP_CORNER, 0);
        ObjectSet("EMA", OBJPROP_XDISTANCE, 27);
        ObjectSet("EMA", OBJPROP_YDISTANCE, 0);
    
    ObjectCreate("EMA1", OBJ_LABEL, WindowFind("EMA"), 0, 0);//M1 SIGNAL
        ObjectSetText("EMA1",StringSubstr(M1_DN,0),15, "Arial Bold", Red);
        ObjectSet("EMA1", OBJPROP_CORNER, 0);
        ObjectSet("EMA1", OBJPROP_XDISTANCE, 27);
        ObjectSet("EMA1", OBJPROP_YDISTANCE, 0); 
        
    ObjectCreate("EMA2", OBJ_LABEL, WindowFind("EMA"), 0, 0);//M5 SIGNAL
        ObjectSetText("EMA2",StringSubstr(M5_UP,0),15, "Arial Bold", Lime);
        ObjectSet("EMA2", OBJPROP_CORNER, 0);
        ObjectSet("EMA2", OBJPROP_XDISTANCE, 60);
        ObjectSet("EMA2", OBJPROP_YDISTANCE, 0);
    
    ObjectCreate("EMA3", OBJ_LABEL, WindowFind("EMA"), 0, 0);//M5 SIGNAL
        ObjectSetText("EMA3",StringSubstr(M5_DN,0),15, "Arial Bold", Red);
        ObjectSet("EMA3", OBJPROP_CORNER, 0);
        ObjectSet("EMA3", OBJPROP_XDISTANCE, 60);
        ObjectSet("EMA3", OBJPROP_YDISTANCE, 0); 
        
    ObjectCreate("EMA4", OBJ_LABEL, WindowFind("EMA"), 0, 0);//M15 SIGNAL
        ObjectSetText("EMA4",StringSubstr(M15_UP,0),15, "Arial Bold", Lime);
        ObjectSet("EMA4", OBJPROP_CORNER, 0);
        ObjectSet("EMA4", OBJPROP_XDISTANCE, 95);
        ObjectSet("EMA4", OBJPROP_YDISTANCE, 0);
    
    ObjectCreate("EMA5", OBJ_LABEL, WindowFind("EMA"), 0, 0);//M15 SIGNAL
        ObjectSetText("EMA5",StringSubstr(M15_DN,0),15, "Arial Bold", Red);
        ObjectSet("EMA5", OBJPROP_CORNER, 0);
        ObjectSet("EMA5", OBJPROP_XDISTANCE, 95);
        ObjectSet("EMA5", OBJPROP_YDISTANCE, 0); 
        
    ObjectCreate("EMA6", OBJ_LABEL, WindowFind("EMA"), 0, 0);//M30 SIGNAL
        ObjectSetText("EMA6",StringSubstr(M30_UP,0),15, "Arial Bold", Lime);
        ObjectSet("EMA6", OBJPROP_CORNER, 0);
        ObjectSet("EMA6", OBJPROP_XDISTANCE, 140);
        ObjectSet("EMA6", OBJPROP_YDISTANCE, 0);
    
    ObjectCreate("EMA7", OBJ_LABEL, WindowFind("EMA"), 0, 0);//M30 SIGNAL
        ObjectSetText("EMA7",StringSubstr(M30_DN,0),15, "Arial Bold", Red);
        ObjectSet("EMA7", OBJPROP_CORNER, 0);
        ObjectSet("EMA7", OBJPROP_XDISTANCE, 140);
        ObjectSet("EMA7", OBJPROP_YDISTANCE, 0); 
        
    ObjectCreate("EMA8", OBJ_LABEL, WindowFind("EMA"), 0, 0);//H1 SIGNAL
        ObjectSetText("EMA8",StringSubstr(H1_UP,0),15, "Arial Bold", Lime);
        ObjectSet("EMA8", OBJPROP_CORNER, 0);
        ObjectSet("EMA8", OBJPROP_XDISTANCE, 185);
        ObjectSet("EMA8", OBJPROP_YDISTANCE, 0);
    
    ObjectCreate("EMA9", OBJ_LABEL, WindowFind("EMA"), 0, 0);//H1 SIGNAL
        ObjectSetText("EMA9",StringSubstr(H1_DN,0),15, "Arial Bold", Red);
        ObjectSet("EMA9", OBJPROP_CORNER, 0);
        ObjectSet("EMA9", OBJPROP_XDISTANCE, 185);
        ObjectSet("EMA9", OBJPROP_YDISTANCE, 0); 
        
    ObjectCreate("EMA10", OBJ_LABEL, WindowFind("EMA"), 0, 0);//H4 SIGNAL
        ObjectSetText("EMA10",StringSubstr(H4_UP,0),15, "Arial Bold", Lime);
        ObjectSet("EMA10", OBJPROP_CORNER, 0);
        ObjectSet("EMA10", OBJPROP_XDISTANCE, 215);
        ObjectSet("EMA10", OBJPROP_YDISTANCE, 0);
    
    ObjectCreate("EMA11", OBJ_LABEL, WindowFind("EMA"), 0, 0);//H4 SIGNAL
        ObjectSetText("EMA11",StringSubstr(H4_DN,0),15, "Arial Bold", Red);
        ObjectSet("EMA11", OBJPROP_CORNER, 0);
        ObjectSet("EMA11", OBJPROP_XDISTANCE, 215);
        ObjectSet("EMA11", OBJPROP_YDISTANCE, 0); 
        
    ObjectCreate("EMA12", OBJ_LABEL, WindowFind("EMA"), 0, 0);//D1 SIGNAL
        ObjectSetText("EMA12",StringSubstr(D1_UP,0),15, "Arial Bold", Lime);
        ObjectSet("EMA12", OBJPROP_CORNER, 0);
        ObjectSet("EMA12", OBJPROP_XDISTANCE, 245);
        ObjectSet("EMA12", OBJPROP_YDISTANCE, 0);
    
    ObjectCreate("EMA13", OBJ_LABEL, WindowFind("EMA"), 0, 0);//D1 SIGNAL
        ObjectSetText("EMA13",StringSubstr(D1_DN,0),15, "Arial Bold", Red);
        ObjectSet("EMA13", OBJPROP_CORNER, 0);
        ObjectSet("EMA13", OBJPROP_XDISTANCE, 245);
        ObjectSet("EMA13", OBJPROP_YDISTANCE, 0); 
        
    ObjectCreate("EMA14", OBJ_LABEL, WindowFind("EMA"), 0, 0);//W1 SIGNAL
        ObjectSetText("EMA14",StringSubstr(W1_UP,0),15, "Arial Bold", Lime);
        ObjectSet("EMA14", OBJPROP_CORNER, 0);
        ObjectSet("EMA14", OBJPROP_XDISTANCE, 275);
        ObjectSet("EMA14", OBJPROP_YDISTANCE, 0);
    
    ObjectCreate("EMA15", OBJ_LABEL, WindowFind("EMA"), 0, 0);//W1 SIGNAL
        ObjectSetText("EMA15",StringSubstr(W1_DN,0),15, "Arial Bold", Red);
        ObjectSet("EMA15", OBJPROP_CORNER, 0);
        ObjectSet("EMA15", OBJPROP_XDISTANCE, 275);
        ObjectSet("EMA15", OBJPROP_YDISTANCE, 0);    
    
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+

/*
void drawLabelema1(string id, string text,int fsize, color fcolor,int f,int r,string font,int window = 0)

     { if(ObjectFind(id)==-1)
         {
         ObjectCreate(id, OBJ_LABEL, window, 0, 0);
        ObjectSetText(id,text, fsize, font, fcolor);
        ObjectSet(id, OBJPROP_CORNER, 2);
        ObjectSet(id, OBJPROP_XDISTANCE, 880);
        ObjectSet(id, OBJPROP_YDISTANCE, 4);
        }      
                 
     }
     
void drawLabelema2(string id, string text,int fsize, color fcolor,int f,int r,string font,int window = 0)

     { if(ObjectFind(id)==-1)
         {
         ObjectCreate(id, OBJ_LABEL, window, 0, 0);
        ObjectSetText(id,text, fsize, font, fcolor);
        ObjectSet(id, OBJPROP_CORNER, 2);
        ObjectSet(id, OBJPROP_XDISTANCE, 880);
        ObjectSet(id, OBJPROP_YDISTANCE, 4);
        }      
                 
     }     
     
void drawLabelema3(string id, string text,int fsize, color fcolor,int f,int r,string font,int window = 0)

     { if(ObjectFind(id)==-1)
         {
         ObjectCreate(id, OBJ_LABEL, window, 0, 0);
        ObjectSetText(id,text, fsize, font, fcolor);
        ObjectSet(id, OBJPROP_CORNER, 2);
        ObjectSet(id, OBJPROP_XDISTANCE, 880);
        ObjectSet(id, OBJPROP_YDISTANCE, 4);
        }      
                 
     }         
     
void drawLabelema4(string id, string text,int fsize, color fcolor,int f,int r,string font,int window = 0)

     { if(ObjectFind(id)==-1)
         {
         ObjectCreate(id, OBJ_LABEL, window, 0, 0);
        ObjectSetText(id,text, fsize, font, fcolor);
        ObjectSet(id, OBJPROP_CORNER, 2);
        ObjectSet(id, OBJPROP_XDISTANCE, 880);
        ObjectSet(id, OBJPROP_YDISTANCE, 4);
        }      
                 
     }  */    